API Reference - GET /codelist/racecodes
Page content
The RaceCodes endpoint returns a list of Race values and the corresponding codes.
Resource
GET /api/codelist/racecodes
Authorization
No authorization required
Query Parameters
| Name | Description |
|---|---|
| lastmodified | Only return items modified on or after the date supplied. This is an optional field. |
Response
JSON:
{
"CodeList": [{
"ValidValue": [{
"Code": "3",
"Value": "Asian - a person having origins in any of the original peoples of the Far East, Southeast Asia, or the Indian subcontinent, including, for example, Cambodia, China, India, Japan, Korea, Malaysia, Pakistan, the Philippine Islands, Thailand, or Vietnam.",
"LastModified": "2010-07-13T10:13:29.86",
"IsDisabled": "No"
}],
"id": "Race"
}],
"DateGenerated": "2017-09-20T09:24:58.6047077-04:00"
}
| Name | Type | Description |
|---|---|---|
| Code | String | Race code |
| Value | String | Race value |
| LastModified | Date | Date value or code was last modified |
| IsDisabled | String | Has the Race code been disabled. Values are Yes or No. |
| DateGenerated | Date | Date of request |
An official website of the United States Government